Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0026706
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajoralways2014-05-27 12:352014-11-27 15:29
ReporterguillermogilView Statuspublic 
Assigned ToAugustoMauch 
PriorityhighResolutionunable to reproduceFixed in Version
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSLinux 64 bitDatabasePostgreSQLJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Web browserGoogle Chrome
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0026706: Sometimes the refresh of a record on a process hide the record if it does not fulfill the filter

DescriptionSometimes the refresh of a record on a process hide the record if it does not fulfill the filter
Steps To Reproduce* Go to sales order
* Apply Draft filter on Document status
* Select a previously created record on grid view
* Create its lines if it does not have any.
* Book it

The record disappears.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to design defect 0025811 closedAugustoMauch unnecessary request on grid refresh 
related to defect 0026702 closedguillermogil On create a record while a filter is applied the focus get lost 

-  Notes
(0067505)
guillermogil (developer)
2014-05-28 08:57

We are going to define some specs about the proper behavior of the grid before modifying.
(0067525)
guillermogil (developer)
2014-05-28 12:16
edited on: 2014-05-28 16:35

The row must remain if it does not fit the filter only if the refresh is not manual. e.g.- Refresh by a process, Book process from sales order.

(0072070)
AugustoMauch (developer)
2014-11-27 15:29

This issue is no longer reproducible after this issue [1] was fixed. Now after a process is executed the grid no longer refreshes the whole grid, only the selected record is updated.

[1] https://issues.openbravo.com/view.php?id=25811 [^]

- Issue History
Date Modified Username Field Change
2014-05-27 12:35 guillermogil New Issue
2014-05-27 12:35 guillermogil Assigned To => guillermogil
2014-05-27 12:35 guillermogil Web browser => Google Chrome
2014-05-27 12:35 guillermogil Modules => Core
2014-05-27 12:35 guillermogil Triggers an Emergency Pack => No
2014-05-27 12:52 guillermogil Relationship added related to 0026702
2014-05-27 13:24 guillermogil Web browser Google Chrome => Google Chrome
2014-05-27 13:24 guillermogil Steps to Reproduce Updated View Revisions
2014-05-28 08:57 guillermogil Note Added: 0067505
2014-05-28 11:58 guillermogil Web browser Google Chrome => Google Chrome
2014-05-28 11:58 guillermogil Steps to Reproduce Updated View Revisions
2014-05-28 12:15 guillermogil File Added: fix.diff
2014-05-28 12:16 guillermogil Note Added: 0067525
2014-05-28 16:34 guillermogil File Deleted: fix.diff
2014-05-28 16:35 guillermogil Note Edited: 0067525 View Revisions
2014-06-06 13:50 guillermogil Assigned To guillermogil => AugustoMauch
2014-11-27 15:28 AugustoMauch Relationship added related to 0025811
2014-11-27 15:29 AugustoMauch Note Added: 0072070
2014-11-27 15:29 AugustoMauch Status new => closed
2014-11-27 15:29 AugustoMauch Resolution open => unable to reproduce


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker